#include <bits/stdc++.h>
#include "code.h"

using namespace std;

vector<pair<int, int>> ZapisiTacke(int N){
    vector<pair<int, int>> tacke(N+1);
    for(int i = 1; i <= N; i++){
        tacke[i]={i, i*i};
    }

    return tacke;
}

vector<int> Resi(int N, int Q){
    vector<int> resenje(N+1);

    for(int i = 1; i <= N; i++) resenje[i]=i;

    vector<int> degree(N+1, 0);
    for(int i = 2; i <= N; i++){
        for(int j = i+1; j <= N; j++){
            int res = Pitaj(1, i, j);
            if(res>0) degree[j]++;
            else degree[i]++;
        }
    }

    for(int i = 2; i <= N; i++){
        resenje[i]=degree[i]+2;
    }

    return resenje;
}